## WebKitURIUtilities WebKitURIUtilities — Utility functions to manipulate URIs |

## Functions

gchar * | webkit_uri_for_display ()

## Description

## Functions

### webkit_uri_for_display ()

    gchar *
    webkit_uri_for_display (const gchar *uri);

Use this function to format a URI for display. The URIs used internally by WebKit may contain percent-encoded characters or Punycode, which are not generally suitable to display to users. This function provides protection against IDN homograph attacks, so in some cases the host part of the returned URI may be in Punycode if the safety check fails.

#### Parameters

uri | the URI to be converted |

#### Returns

`uri` suitable for display, or `NULL` in case of error.

[nullable][transfer full]

Since: 2.24